#include <monitor_ops.h>

extern JVMPI_Interface* jvmpi;

JVMPI_RawMonitor jmp_create_monitor(char *name) {
    return jvmpi->RawMonitorCreate (name);
}

void jmp_delete_monitor(JVMPI_RawMonitor m) {
    jvmpi->RawMonitorDestroy (m);
}

void jmp_lock_monitor (JVMPI_RawMonitor m) {
    jvmpi->RawMonitorEnter (m);
}

void jmp_unlock_monitor (JVMPI_RawMonitor m) {
    jvmpi->RawMonitorExit (m);
}

void jmp_monitor_wait (JVMPI_RawMonitor m, jlong milis) {
    jvmpi->RawMonitorWait (m, milis);
}

void jmp_monitor_notify_all (JVMPI_RawMonitor m) {
    jvmpi->RawMonitorNotifyAll (m);
}
